#pragma once
#include "define.h"

class CCamera
{
private:
	Point3f m_vEye;
	Point3f m_vLookAt;
	Point3f m_vUp;

public:
	CCamera(void);
	~CCamera(void);

	inline void setEye(Point3f eye) { m_vEye = eye; }
	inline void setLookAt(Point3f look) { m_vLookAt = look; }
	inline void setUp(Point3f up) { m_vUp = up; }

	inline Point3f getEye() { return m_vEye; }
	inline Point3f getLookAt() { return m_vLookAt; }
	inline Point3f getUp() { return m_vUp; }

	void setCamera(Point3f object, bool state);
};
